org.apache.commons.math.analysis

## Interface UnivariateRealFunction

All Known Subinterfaces:
  DifferentiableUnivariateRealFunction

All Known Implementing Classes:
  ComposableFunction, GaussianDerivativeFunction, GaussianFunction, HarmonicFunction, NonLinearConjugateGradientOptimizer.LineSearchFunction, PolynomialFunction, PolynomialFunctionLagrangeForm, PolynomialFunctionNewtonForm, PolynomialSplineFunction

    public interface UnivariateRealFunction

An interface representing a univariate real function.

Version:
  $Revision: 1070725 $ $Date: 2011-02-15 02:31:12 +0100 (mar. 15 févr. 2011) $

### Method Summary

Methods
`double` `value(double x)` Compute the value for the function.

### Method Detail

#### value

    double value(double x)
                 throws FunctionEvaluationException

Compute the value for the function.

Parameters:
  `x` - the point for which the function value should be computed
Returns:
  the value
Throws:
  `FunctionEvaluationException` - if the function evaluation fails